/*
    PIP - Platform Independent Primitives
    Single collection of devices
    Copyright (C) 2014  Ivan Pelipenko peri4ko@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "pidevicepool.h"


/*! \class PIDevicePool
 * \brief Single collection of devices
 * 
 * \section PIDevicePool_sec0 Synopsis
 * 
 * \section PIDevicePool_ex0 Example
 * \snippet pidevicepool.cpp 0
 */


PIDevicePool::PIDevicePool(): PIObject() {
}


PIDevicePool::~PIDevicePool() {
	/*stop();
	if (opened_) {
		closeDevice();
		if (!opened_)
			closed();
	}*/
}
